Cobalt Docs
Api referenceTags

Bulk apply tags

Add and/or remove tags across many transactions in one call.

POST
/tags/bulk-apply

Authorization

bearerAuth
AuthorizationBearer <token>

Cobalt API key (prefix ck_live_). Issue from dashboard → Settings → API keys.

In: header

Request Body

application/json

Transactions + tag add/remove sets

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/tags/bulk-apply" \  -H "Content-Type: application/json" \  -d '{    "transactionIds": [      "390bdf4e-83f8-4d97-9b70-6548dddef7ab"    ]  }'
{
  "success": true,
  "updatedCount": 0
}
{
  "code": "string",
  "error": "string"
}
{
  "code": "string",
  "error": "string"
}
{
  "error": {
    "issues": [
      {
        "code": "string",
        "message": "string",
        "path": [
          "string"
        ]
      }
    ],
    "name": "string"
  },
  "success": true
}